ledger-cli xml2html XLST

This XLST produces a browsable html page out of the xml files created by ledger xml.

It might be used in the future to create a ledger html output.

usage:

  from existing xml file:

    xsltproc --output output-ledger.html ledger.xsl input-ledger.xml

  from ledger file directly:

    ledger -f input.ledger xml | xsltproc --output output-ledger.html ledger.xsl -

parameters:

  - `quantityFormat`: format for quantities, default is '#.00' (2 decimal
    places). If you want no decimals, use `xsltproc --param quantityFormat "'#'"
    ...`, see the xslt spec for details:
    https://www.w3.org/TR/1999/REC-xslt-19991116/#function-format-number
